USBCONFIG(8)

NAME
usbconfig - configure the USB subsystem

SYNOPSIS
usbconfig [-u unit] [-a addr] [cmds...]
usbconfig [-d [ugen]<unit>.<addr>] [cmds...]

DESCRIPTION
The usbconfig utility is used to configure and dump information about the USB subsystem.

The options are as follows:

-u unit
    Limit device range to USB devices connected to the given USBUS unit.

-a addr
    Limit device range to the given USB device index. Should only be used in conjunction with the unit argument.

-d [ugen]<unit>.<addr>
    Limit device range to USB devices connected to the given unit and address. The unit and address coordinates may be prefixed by the lowercased word "ugen".

-h  Show help and available commands.

When called without options, usbconfig prints a list of all available USB devices.

EXAMPLES
Show information about the device on USB bus 1 at address 2:

    usbconfig -u 1 -a 2 dump_info

Dump HID descriptor for device on USB bus 1 at address 2:

    usbconfig -u 1 -a 2 do_request 0x81 0x06 0x2200 0 0x100

Dump string descriptor at index Z for device on USB bus 1 at address 2:

    usbconfig -u 1 -a 2 dump_string Z

Dump current configuration descriptor for device on USB bus 1 at address 2:

    usbconfig -u 1 -a 2 dump_curr_config_desc

Dump device descriptor for device on USB bus 1 at address 2:

    usbconfig -u 1 -a 2 dump_device_desc

Program the device on USB bus 1 at address 2 to suspend, resume, power off, go into power save, or power on:

    usbconfig -u 1 -a 2 suspend
    usbconfig -u 1 -a 2 resume
    usbconfig -u 1 -a 2 power_off
    usbconfig -u 1 -a 2 power_save
    usbconfig -u 1 -a 2 power_on

Display a list of available quirk names:

    usbconfig dump_quirk_names

See usb_quirk(4) for more information on quirks.

SEE ALSO
usb(4), usb_quirk(4)